Name:		edison-tweaks
Version:	1
Release:	1%{?dist}
Summary:	Some tweaks and utilities for the Intel Edison

Group:		System Environment/Base
License:	GPLv2
URL:		http://people.centos.org/~bstinson
Source0:    disable-watchdog.service

BuildRequires:	systemd

Requires(post): systemd
Requires(preun): systemd

%description


%prep
%setup -q -n %{name} -T -c 

%build
echo "No build needed"

%install
mkdir -p %{buildroot}%{_unitdir}

install -o root -g root %{SOURCE0} %{buildroot}%{_unitdir}/disable-watchdog.service


%files
%doc
%{_unitdir}/disable-watchdog.service

%post
if [ $1 -eq 1 ]; then
    systemctl enable disable-watchdog.service
fi

%preun 
if [ $1 -eq 0 ]; then
    systemctl disable disable-watchdog.service
fi


%changelog
* Sun Aug 09 2015 brian@bstinson.com 1-1
- Initial release
